/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.wikinavigation.service.permission;

import com.liferay.portal.kernel.log.Log;
import com.liferay.portal.kernel.log.LogFactoryUtil;
import com.liferay.portal.kernel.util.MethodKey;
import com.liferay.portal.kernel.util.PortalClassInvoker;
import com.liferay.portal.security.permission.PermissionChecker;
import com.liferay.portlet.wiki.model.WikiPage;

/**
 * @author Jorge Ferrer
 * @author Peter Shin
 */
public class WikiPagePermission {

	public static boolean contains(
		PermissionChecker permissionChecker, WikiPage wikiPage,
		String actionId) {

		try {
			return (Boolean)PortalClassInvoker.invoke(
				true, _containsMethodKey, permissionChecker, wikiPage,
				actionId);
		}
		catch (Exception e) {
			_log.error(e, e);

			return false;
		}
	}

	private static Log _log = LogFactoryUtil.getLog(WikiPagePermission.class);

	private static MethodKey _containsMethodKey = new MethodKey(
		"com.liferay.portlet.wiki.service.permission.WikiPagePermission",
		"contains", PermissionChecker.class, WikiPage.class, String.class);

}