<%--
/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/tree_menu/init.jsp" %>

<%
String title = ParamUtil.getString(request, "title", PropsUtil.get("wiki.front.page.name"));

PortletURL portletURL = renderResponse.createRenderURL();

List<MenuItem> menuItems = MenuItem.fromWikiNode(selNodeId, depth, portletURL);
%>

<c:choose>
	<c:when test="<%= !menuItems.isEmpty() %>">
		<%= _buildTreeMenuHTML(menuItems , title, true) %>

		<aui:script use="aui-tree-view">
			new A.TreeView(
				{
					contentBox: '.wiki-navigation-portlet-tree-menu .tree-menu'
				}
			).render();
		</aui:script>
	</c:when>
	<c:otherwise>
		<liferay-ui:message key="no-wiki-pages-were-found" />
	</c:otherwise>
</c:choose>

<%!
private String _buildTreeMenuHTML(List<MenuItem> menuItems, String curTitle, boolean isRoot) {
	StringBuilder sb = new StringBuilder();

	if (isRoot) {
		sb.append("<ul class=\"tree-menu\">");
	}

	for (MenuItem menuItem : menuItems) {
		String label = menuItem.getLabel();
		String url = menuItem.getURL();

		sb.append("<li>");

		if (Validator.isNotNull(url)) {
			if (label.equals(curTitle)) {
				sb.append("<strong>");
				sb.append(label);
				sb.append("</strong>");
			}
			else {
				sb.append("<a ");
				sb.append("href=\"");
				sb.append(url);
				sb.append("\">");
				sb.append(label);
				sb.append("</a>");
			}
		}
		else {
			sb.append(label);
		}

		if (!menuItem.getChildren().isEmpty()) {
			sb.append("<ul>");
			sb.append(_buildTreeMenuHTML(menuItem.getChildren(), curTitle, false));
			sb.append("</ul>");
		}

		sb.append("</li>");
	}

	if (isRoot) {
		sb.append("</ul>");
	}

	return sb.toString();
}
%>